#ifndef SEQUENCEDATA_HH
#define SEQUENCEDATA_HH 1

#include "ReadData.hh"

using libSlice::ReadData;

class SequenceData
{
public:
  SequenceData(const ReadData * rd, long offset, long index);
  ~SequenceData();

  void addElement(long index, char nuc);
  void printTasmRecord(ostream & out);

private:
  const ReadData * m_readData;

  string m_nuc;
  long m_offset;

  long m_asmleft;
  long m_asmright;
};

#endif
